| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::cann::AscendTensor Struct Reference

Parameter type for call_call interfaces. More...

`#include <opencv2/cann_call.hpp>`

Collaboration diagram for cv::cann::AscendTensor:

## Public Member Functions
| AscendTensor ()
| AscendTensor (const AscendMat &ascendMat, const char *_name="", aclFormat format=ACL_FORMAT_ND)
| AscendTensor (std::shared_ptr< uchar > _data, size_t _dataSize, int64_t *_dims, size_t _dimSize, aclDataType _dtype, const char *_name="", aclFormat _format=ACL_FORMAT_ND)
| AscendTensor (std::shared_ptr< uchar > _data, size_t _dataSize, std::vector< int64_t > &_dims, aclDataType _dtype, const char *_name="", aclFormat _format=ACL_FORMAT_ND)

## Public Attributes
std::shared_ptr< uchar > | data
size_t | dataSize
std::vector< int64_t > | dims
aclDataType | dtype
aclFormat | format
const char * | name

## Detailed Description

Parameter type for call_call interfaces.

## Constructor & Destructor Documentation

## ◆ AscendTensor() [1/4]

cv::cann::AscendTensor::AscendTensor | ( |  | ) |
| inline

## ◆ AscendTensor() [2/4]

cv::cann::AscendTensor::AscendTensor | ( | std::shared_ptr< uchar > | _data,
|  | size_t | _dataSize,
|  | int64_t * | _dims,
|  | size_t | _dimSize,
|  | aclDataType | _dtype,
|  | const char * | _name = "",
|  | aclFormat | _format = ACL_FORMAT_ND )

## ◆ AscendTensor() [3/4]

cv::cann::AscendTensor::AscendTensor | ( | std::shared_ptr< uchar > | _data,
|  | size_t | _dataSize,
|  | std::vector< int64_t > & | _dims,
|  | aclDataType | _dtype,
|  | const char * | _name = "",
|  | aclFormat | _format = ACL_FORMAT_ND )
| inline

## ◆ AscendTensor() [4/4]

cv::cann::AscendTensor::AscendTensor | ( | const AscendMat & | ascendMat,
|  | const char * | _name = "",
|  | aclFormat | format = ACL_FORMAT_ND )

## Member Data Documentation

## ◆ data

std::shared_ptr<uchar> cv::cann::AscendTensor::data

## ◆ dataSize

size_t cv::cann::AscendTensor::dataSize

## ◆ dims

std::vector<int64_t> cv::cann::AscendTensor::dims

## ◆ dtype

aclDataType cv::cann::AscendTensor::dtype

## ◆ format

aclFormat cv::cann::AscendTensor::format

## ◆ name

const char* cv::cann::AscendTensor::name

The documentation for this struct was generated from the following file:

- opencv2/cann_call.hpp